# Visualization
TKV3d
Graphic3d

# Graphic3d_AspectLine3d Class Reference

Creates and updates a group of attributes
for 3d line primitives. This group contains the
colour, the type of line, and its thickness.
.

`#include <Graphic3d_AspectLine3d.hxx>`

Inheritance diagram for Graphic3d_AspectLine3d:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic3d_AspectLine3d ()
| Creates a context table for line primitives defined with the following default values: .
Standard_EXPORT | Graphic3d_AspectLine3d (const Quantity_Color &AColor, const Aspect_TypeOfLine AType, const Standard_Real AWidth)
| Creates a context table for line primitives defined with the specified values. Warning: <awidth> is the "linewidth scale factor". The nominal line width is 1 pixel. The width of the line is determined by applying the linewidth scale factor to this nominal line width. The supported linewidths vary by 1-pixel units. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_AspectLine3d::Graphic3d_AspectLine3d | ( |  | ) |

Standard_EXPORT Graphic3d_AspectLine3d::Graphic3d_AspectLine3d | ( | const Quantity_Color & | AColor,
|  | const Aspect_TypeOfLine | AType,
|  | const Standard_Real | AWidth
| ) |

## Member Function Documentation

Standard_EXPORT const Graphic3d_AspectLine3d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Aspect_AspectLine.

The documentation for this class was generated from the following file:

- Graphic3d_AspectLine3d.hxx